#
# spec file for package gdk-pixbuf (Version 0.22.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  alsa alsa-devel audiofile esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libjpeg libpng-devel-packages libtiff libungif xf86 xpm

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs alsa alsa-devel audiofile autoconf automake binutils db1 db1-devel esound esound-devel expat fontconfig fontconfig-devel gcc gdbm gettext glib glib-devel gnome-filesystem gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libjpeg libpng libpng-devel libtiff libtool libungif perl rpm

Name:         gdk-pixbuf
%define prefix  /opt/gnome
%define sysconfdir /etc%{prefix}
Summary:      A Library for Fast Pixel Manipulation
Version:      0.22.0
Release:      62.13
Group:        System/Libraries
License:      GPL
URL:          http://www.gnome.org/
Source:       ftp://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf/0.22/gdk-pixbuf-%{version}.tar.bz2
Patch:        %{name}-%{version}.patch
Patch1:       gdk-pixbuf-xpm-decoder.diff
Patch2:       gdk-pixbuf-g_try_malloc.dif
Patch3:       xpm-overflow.patch
Patch4:       gdk-pixbuf-xpmintoverflow.diff
Patch5:       gdk-pixbuf-loop.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Obsoletes:    gdk_pix
Provides:     gdk_pix

%description
With this library you can create, change, scale, and move pixel data
very efficiently.



Authors:
--------
    Arjan van de Ven <arjan@fenrus.demon.nl>
    Cody Russell  <bratsche@dfw.net>
    Elliot Lee  <sopwith@redhat.com>
    Federico Mena Quintero  <federico@helixcode.com>
    George Lebl <jirka@5z.com>
    Havoc Pennington  <hp@pobox.com>
    Jacob Berkman  <jacob@helixcode.com>
    Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>
    Jonathan Blandford  <jrb@redhat.com>
    Larry Ewing  <lewing@gimp.org>
    Mark Crichton  <crichton@gimp.org>
    Martin Baulig  <martin@home-of-linux.org>
    Michael Fulbright  <drmike@redhat.com>
    Michael Meeks  <michael@nuclecu.unam.mx>
    Michael Zucchi  <zucchi@zedzone.mmc.com.au>
    Owen Taylor  <otaylor@redhat.com>
    Peter Teichman  <pat@gnu.org>
    Raja R Harinath  <harinath@cs.umn.edu>
    Richard Hestilow  <hestgray@ionet.net>

%package devel
Summary:      GdkPixBuf - Development Environment
Group:        Development/Libraries/GNOME
Requires:     gdk-pixbuf gtk-devel
Provides:     gdk_pixd
Obsoletes:    gdk_pixd

%description devel
GdkPixBuf - Development Environment



Authors:
--------
    cf. gdk_pix

%package gnome
Summary:      A Library for Fast Pixel Manipulation
Group:        System/Libraries

%description gnome
With this library you can create, change, scale, and move pixel data
very efficiently.



Authors:
--------
    Arjan van de Ven <arjan@fenrus.demon.nl>
    Cody Russell  <bratsche@dfw.net>
    Elliot Lee  <sopwith@redhat.com>
    Federico Mena Quintero  <federico@helixcode.com>
    George Lebl <jirka@5z.com>
    Havoc Pennington  <hp@pobox.com>
    Jacob Berkman  <jacob@helixcode.com>
    Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>
    Jonathan Blandford  <jrb@redhat.com>
    Larry Ewing  <lewing@gimp.org>
    Mark Crichton  <crichton@gimp.org>
    Martin Baulig  <martin@home-of-linux.org>
    Michael Fulbright  <drmike@redhat.com>
    Michael Meeks  <michael@nuclecu.unam.mx>
    Michael Zucchi  <zucchi@zedzone.mmc.com.au>
    Owen Taylor  <otaylor@redhat.com>
    Peter Teichman  <pat@gnu.org>
    Raja R Harinath  <harinath@cs.umn.edu>
    Richard Hestilow  <hestgray@ionet.net>

%prep
%setup -q
%patch
%patch1 -p1
%patch2 -p1
cd gdk-pixbuf
%patch3
cd ..
%patch4 -p1
%patch5 -p1

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
    ./configure --prefix=%{prefix}	\
	--libdir=%{prefix}/%{_lib}	\
	--sysconfdir=%{sysconfdir}	\
	--localstatedir=/var/lib
make 

%install
export LIBRARY_PATH=$RPM_BUILD_ROOT/%{prefix}/%{_lib}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB NEWS README TODO
%doc doc/*.txt
%doc doc/html
%{prefix}/%{_lib}/libgdk*.so.*
%dir %{prefix}/%{_lib}/gdk-pixbuf
%dir %{prefix}/%{_lib}/gdk-pixbuf/loaders
%{prefix}/%{_lib}/gdk-pixbuf/loaders/lib*.so

%files gnome
%defattr(-, root, root)
%{prefix}/%{_lib}/libgnome*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/bin/*
%{prefix}/%{_lib}/lib*.so
%{prefix}/%{_lib}/lib*.*a
%{prefix}/%{_lib}/gdk-pixbuf/loaders/lib*.*a
%{prefix}/%{_lib}/*.sh
%{prefix}/include/*
%{prefix}/share/aclocal/*
%{prefix}/share/gnome/html/*

%changelog -n gdk-pixbuf
* Mon Oct 31 2005 - nadvornik@suse.cz
- More XPM fixes (#129642):
  CVE-2005-2976 xpm integer overflow w*h*c
  CVE-2005-2975 xpm too many colors DoS
* Fri Oct 21 2005 - sbrabec@suse.cz
- Fixed XPM buffer overflow vulnerability (#129642).
* Thu Sep 16 2004 - hhetter@suse.de
- fix unresolved external reference (SuSE Bug Id #45423)
* Tue Aug 24 2004 - hhetter@suse.de
- added patches for
  CAN-2004-0782 Heap-based overflow in pixbuf_create_from_xpm
  CAN-2004-0783 Stack-based overflow in xpm_extract_color
  CAN-2004-0788 ico loader integer overflow.
  (SUSE Bug Id#44100)
* Tue Feb 17 2004 - sbrabec@suse.cz
- Updated to version 0.22.0 (#22997).
- Split GNOME runtime to subpackage.
* Fri Jan 09 2004 - schwab@suse.de
- Fix quoting in autoconf macros.
* Mon Sep 15 2003 - sbrabec@suse.cz
- Require gtk-devel.
* Fri Sep 12 2003 - sbrabec@suse.cz
- Removed compatibility include symlink (bug #30608).
* Wed Jul 16 2003 - sbrabec@suse.cz
- Aclocal files moved to the same prefix as package itself.
- Alternative include location symlink instead of copy.
* Fri Jun 27 2003 - ro@suse.de
- added directories to filelist
* Mon Apr 28 2003 - schwab@suse.de
- Fix missing declarations.
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Wed Jun 19 2002 - jordi@suse.de
- updated to version 0.18.0
  * Fixed the RGB 565 MSB -> MSB case in gdk-pixbuf-drawable
  * Fixed alignment issues in the BMP loader
  * Merged pixops.c from GTK+ HEAD
* Thu Jun 13 2002 - hhetter@suse.de
- fix GDKPIXBUF_LIBDIR
* Mon May 27 2002 - meissner@suse.de
- moved share/aclocal/gdk-pixbuf.m4 where it belongs.
* Fri May 03 2002 - meissner@suse.de
- %%_lib fixes.
* Wed Apr 24 2002 - ro@suse.de
- update to 0.17.0
- fix build aith automake-1.6
* Fri Feb 08 2002 - hhetter@suse.de
- added LIBRARY_PATH for libtool
* Fri Feb 08 2002 - hhetter@suse.de
- provice headers in place for not yet compatible sources
* Thu Feb 07 2002 - hhetter@suse.de
- updated to version 0.16.0
  * 16-bpp ICO and BPP support
  * 32-bpp ICO support
- build with automake 1.5
- correct assembler detection
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Sat Jul 07 2001 - egger@suse.de
- Updated to version 0.11.0.
* Mon May 28 2001 - hhetter@suse.de
- added needed packages for build on non-MMX platforms
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Fri Mar 16 2001 - egger@suse.de
- Updated to version 0.10.1.
* Sat Mar 03 2001 - egger@suse.de
- Cleaned up specfile and cut down dependencies.
* Sat Mar 03 2001 - egger@suse.de
- Updated to version 0.10.0.
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Thu Feb 22 2001 - ke@suse.de
- Get the Obsoletes/Provides tags right [#6119 and #6484].
- more spec file cleanup.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Thu Jan 25 2001 - ro@suse.de
- replaced Required by Provides
* Thu Jan 25 2001 - hhetter@suse.de
- added missing Required and Obsoletes tags (Bug #6119)
* Tue Nov 07 2000 - ro@suse.de
- fixed neededforbuild: add esound-devel
* Sat Nov 04 2000 - kukuk@suse.de
- Rename gdk_pixd -> gdk-pixbuf-devel
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Thu Sep 21 2000 - ro@suse.de
- %%{configure} will not work unless all macros are redefined ...
* Mon Sep 18 2000 - bk@suse.de
- add gxmhtml to neededforbuild(failed on s390 without)
* Mon Sep 18 2000 - bk@suse.de
- use %%configure to have automatic libtool update(needed for s390)
* Tue Sep 05 2000 - egger@suse.de
- Tweaked the spec a bit again for optimal building pleasure.
* Fri Sep 01 2000 - egger@suse.de
- Tweaked the spec a bit again.
* Thu Aug 31 2000 - egger@suse.de
- Removed unneeded dependencies.
* Wed Aug 30 2000 - egger@suse.de 
- The package is missing for some reason?!?
* Mon Aug 28 2000 - hhetter@suse.de
- update to version 0.9.0
* Tue May 30 2000 - baulig@suse.de
- moved %%{prefix}/lib/libgnomecanvaspixbuf.so back to
  gdk_pixd, sorry I confused this yesterday.
* Mon May 29 2000 - baulig@suse.de
- moved %%{prefix}/lib/*/loaders/lib*.so and
  %%{prefix}/lib/libgnomecanvaspixbuf.so from gdk_pixd
  to gdk_pix to make dynamic loading work.
* Wed May 24 2000 - ke@suse.de
- update to version 0.8.0.
- use DESTDIR.
- use %%{_defaultdocdir}.
- provide gdk-pixbuf.
* Mon Apr 17 2000 - ke@suse.de
- update to version 0.7.0.
- spec file: add requires and provides.
* Thu Feb 24 2000 - ke@suse.de
- update to version 0.6.0.
* Fri Feb 11 2000 - ke@suse.de
- initial package: version 0.5.0.
